# bin
My Linux `~/bin` folder, including my `.bashrc` and `.bash_aliases`.

This repository will contain all the various tools and / or commands I find that I put in my `~/bin` folder.

Here's a list of the most interesting ones, along with what they do and where they came from (assuming I can find / remember):

 - [style](https://github.com/LuRsT/style) - Add style to your output
 - [hr](https://github.com/LuRsT/hr) - A horizontal ruler for your terminal
 - [dropbox_uploader.sh](https://github.com/andreafabrizi/Dropbox-Uploader) - Dropbox Uploader is a BASH script which can be used to upload, download, list or delete files from Dropbox.
 - swapusage - Shows swap usage by process. Useful for determining which services to restart if you aren't allowed to fiddle with your swap.
 - extract - Extracts several different types of archive.
 - mail-service-restart - Restarts all service related to my mail server. Currently needs upgrading to use systemd.
 - decrypt - Decrypts something encrypted with a password with openssl.
 - encrypt - Encrpyts something with a password with openssl.
 - splitdotmbox.sh - Splits a `.mbox` file into it's component messages
 - ctx - Shows contact switches by process in real time
 - ps_mem - Shows memory usage by process.
 - node-update - Adapted from a bash script given in a github issue for io.js, this script will update you to the latest version of node. I think that there's a bug with it, but it works well enough for me.
 - stealtime - Tells you how much of your CPU time has been stolen by other virtual machines.

## Disclaimer
I don't own many of the tools in this repository. If you are an owner of one of these tools and I haven't linked to you, please let me know as I probably forgot.
